=== debian/changelog ===
iptables (1.3.6.0debian1-5ubuntu5osso4) unstable; urgency=low

  * Kernel header dependency changed for diablo release. Fixes: NB#83552

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  1 Apr 2008 16:07:10 +0300

iptables (1.3.6.0debian1-5ubuntu5osso3) unstable; urgency=low

  * manual pages, howtos etc documentation is not installed
  * shared object modules that are not needed, are not installed

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue,  4 Dec 2007 16:43:59 +0200

iptables (1.3.6.0debian1-5ubuntu5osso2) unstable; urgency=low

  * Removed original maintainer from control file because Nokia build
    system got confused about it.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 20 Nov 2007 10:24:55 +0200

iptables (1.3.6.0debian1-5ubuntu5osso1) unstable; urgency=low
 
  * Version for Osso with IPv6 support
  * Turned off selinux support
 
 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 19 Nov 2007 12:46:39 +0200
 

iptables (1.3.6.0debian1-5ubuntu5) gutsy; urgency=low

  * patches/all/090_enable-ipv6-rt.patch: include broken-out patch for
    "rt" build, which was missed when applying the patch inline in the
    previous version.

 -- Kees Cook <kees@ubuntu.com>  Wed, 04 Jul 2007 17:11:52 -0700

iptables (1.3.6.0debian1-5ubuntu4) gutsy; urgency=low

  * iptables/extensions/Makefile: enable "rt" module for ip6tables
    (LP: #114184).

 -- Kees Cook <kees@ubuntu.com>  Wed, 04 Jul 2007 03:56:20 -0700

iptables (1.3.6.0debian1-5ubuntu3) gutsy; urgency=low

  * patches/all/012-2.6.22-headers-fix.patch:
    + Fix FTBFS on gutsy due to renamed header files in linux-libc-dev.
      Patch taken from upstream svn (rev 6001). (LP: #120908)
  * iptables/extensions/.CLUSTERIP-test:
    + Fix CLUSTERIP detection code to reenable the module (it was accidentally
      removed when we started using linux-libc-dev instead of bundled headers).
      (LP: #113863)

 -- Soren Hansen <soren@ubuntu.com>  Mon, 18 Jun 2007 10:35:01 +0200

iptables (1.3.6.0debian1-5ubuntu2) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  5 Mar 2007 01:19:06 +0000

iptables (1.3.6.0debian1-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable.
  * Remaining Ubuntu changes:
    - Build with -fno-stack-protector to fix failing ICMP module (Malone: #66681)
    - Took references to 2.4 kernel out of doc-base control files (Jordan
      Mantha, Malone #25972).
    - Use linux-libc-dev instead of local copy of kernel-headers (Fabio M.
      Di Nitto).

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Thu,  7 Dec 2006 01:25:07 +1300

iptables (1.3.6.0debian1-5) unstable; urgency=high

  * cleaned dirty iptables/, fixes diff bloat and compilation problems 
    Reported by Jan Wanger. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed, 22 Nov 2006 22:42:21 -0500

iptables (1.3.6.0debian1-4) unstable; urgency=high

  * fixes errant /etc/{hosts,networks} entry padding. Reported by John 
    Darrah and fixed by Pablo Neira Ayuso. Thanks. closes: #398082

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Nov 2006 21:51:18 -0500

iptables (1.3.6.0debian1-3) unstable; urgency=high

  * fixes broken rename-chain option in iptables and ip6tables. Reported
    by Martin Clauss and Simon Natterer. Fixed by Krzysztof Oledzki.
    Thanks. closes: #397012

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  9 Nov 2006 05:58:51 -0500

iptables (1.3.6.0debian1-2ubuntu1) feisty; urgency=low

  * Merge from debian unstable.
  * Remaining Ubuntu changes:
    - Build with -fno-stack-protector to fix failing ICMP module (Malone: #66681)
    - Took references to 2.4 kernel out of doc-base control files (Jordan
      Mantha, Malone #25972).
    - Use linux-libc-dev instead of local copy of kernel-headers (Fabio M.
      Di Nitto).

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Wed, 15 Nov 2006 14:56:29 +1300

iptables (1.3.6.0debian1-2) unstable; urgency=low

  * physdev-truncated.man.patch: fixed misssed instance of the error
  * debian/rules: fixed manpage mangling and moved it to scripts/manregex
  * iptables.8: added missing ipt_recent match arguments

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 29 Oct 2006 14:03:13 -0500

iptables (1.3.6.0debian1-1) unstable; urgency=low

  * New upstream release
  * synched with upstream SVN 2006-10-21
    + fixed "wierd" spelling error in iptables.c
    + fixed iptables segfault when given empty --log-prefix
    + adds revision support to ip6tables
    + adds support port range match to libip6t_multiport
    + adds endian annotation types to fix compilation for
      kernels > 2.6.18
  * ipv6 updates in SVN by Rémi Denis-Courmont fixes the ip6tables port
    range bug reported by Alexander Dreweke. Thanks. closes: #329775
  * debian/control: added info about missing kernel extensions
  * bumped standards version to 3.7.2, no changes
  * updated to patch-o-matic-ng-20061021 source
  * updated to kernel 2.6.18 source, closes: #393138
    + renames icmpv6 extension to icmp6
    + adds connbytes, quota and statistic extensions
  * enabled SELinux support and added build dependency on libselinux1-dev
    + adds SECMARK and CONNSECMARK extensions
  * iptables/Rules.make: link shared SE libs with gcc
  * added numerous manpage fixes
  * debian/changelog: missing leading dash, lintian cleanup
  * removed pomng iprange patch, migrated upstream to linux kernel
  * removed weird_character.patch, fixed upstream
  * removed weird_spelling.patch, fixed upsteam in 1.3.6 and SVN
  * removed link_with_gcc.patch, fixed upstream
  * removed esp-test6.patch, fixed upstream
  * removed atomic_t_silly_hack.patch, code moved somewhere or another

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 27 Oct 2006 19:39:57 -0400

iptables (1.3.5.0debian1-1ubuntu2) edgy; urgency=low

  * Build with -fno-stack-protector to fix failing ICMP module (Malone: #66681)


